
Foreman - Bug #3669

Migration: Unable to migrate db, if Katello engine is included

11/15/2013 03:27 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: DB migrations   

Target version: 1.4.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Katello engine extends the Foreman User.  As a result, if the Katello engine is included, it is not currently possible to

successfully run 'rake db:migrate' to run all Foreman+Katello migrations.

The primary issue exists with db/migrate/20100628123400_add_internal_auth.rb which attempts to create an initial User, but finds

conflicts as the business logic is reliant on schema is not available until a later migration.

This issue is to minimize the definition of User that is pulled in to the model to avoid this and possible future issues.

Associated revisions

Revision fea5a7a4 - 11/19/2013 08:38 PM - Brad Buckingham

fixes #3669 - migration: minimize amount of User model exposed to migration

History

#1 - 11/15/2013 03:53 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.10.0

https://github.com/theforeman/foreman/pull/1027

#2 - 11/19/2013 08:37 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#3 - 11/19/2013 09:31 PM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fea5a7a41755f59783c1621bbd111f8b10d43901.
